#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

%global		package_version 3.5.0_master
%global		branding_index 50
%global		branding_name rhev
%global		branding_interface_version 2

%global make_common_opts \\\
	PACKAGE_NAME=%{name} \\\
	RPM_VERSION=%{version} \\\
	RPM_RELEASE=%{release} \\\
	PREFIX=%{_prefix} \\\
	SYSCONF_DIR=%{_sysconfdir} \\\
	PYTHON=%{__python} \\\
	PYTHON_DIR=%{python_sitelib} \\\
	BIN_DIR=%{_bindir} \\\
	DATAROOT_DIR=%{_datadir} \\\
	JAVA_DIR=%{_javadir} \\\
	MAN_DIR=%{_mandir} \\\
	%{?null}

Summary:	oVirt Engine %{branding_name} branding
Name:		rhevm-branding-rhev
Version:	3.5.0
Release:	0.0.master.20140825194046%{?release_suffix}%{?dist}
License:	ASL 2.0
URL:		http://www.ovirt.org
Source:		%{name}-%{package_version}-0.0.master.20140825194046.tar.gz
Group:		Virtualization/Management

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

%description
Branding package for %{branding_name} branding.

%prep
%setup -q -n %{name}-%{package_version}

%build
make %{?_smp_mflags} %{make_common_opts}

%install
rm -rf "%{buildroot}"
make %{?_smp_mflags} %{make_common_opts} install DESTDIR="%{buildroot}"
install -d -m 0755 "%{buildroot}%{_sysconfdir}/ovirt-engine/branding"
ln -s \
	"%{_datadir}/ovirt-engine/branding/%{branding_name}-%{branding_interface_version}.brand" \
	"%{buildroot}%{_sysconfdir}/ovirt-engine/branding/%{branding_index}-%{branding_name}-%{branding_interface_version}.brand"

%files
%dir %{_datadir}/ovirt-engine/branding/%{branding_name}-%{branding_interface_version}.brand
%{_datadir}/ovirt-engine/branding/%{branding_name}-%{branding_interface_version}.brand
%{_sysconfdir}/ovirt-engine/branding/%{branding_index}-%{branding_name}-%{branding_interface_version}.brand
%{_sysconfdir}/ovirt-engine/engine.conf.d/20-branding-rhev.conf

%changelog
* Mon Jun 09 2014 Alexander Wels <awels@redhat.com> - 3.4.0-2
- Added Manager release notes: rhbz#1103896

* Mon Apr 28 2014 Alexander Wels <awels@redhat.com> - 3.4.0-1
- updated branding package: rhbz#1068782

* Tue Dec 10 2013 Alexander Wels <awels@redhat.com> - 3.3.0-1.2
- updated branding package: rhbz#978257

* Mon Aug 26 2013 Alexander Wels <awels@redhat.com> - 3.3.0-1
- Added branding package: rhbz#999506

